## org.eclipse.datatools.sqltools.sqlbuilder.model
Class FunctionHelperDB2

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.FunctionHelper
          org.eclipse.datatools.sqltools.sqlbuilder.model.FunctionHelperDB2

    public class FunctionHelperDB2

extends FunctionHelper

This class describes the functions supported by DB2. It provides services to get lists of function names in various categories, plus function signature information for functions.

Field Summary
`static java.lang.String` `CAT_LABEL_DATALINK_FUNCTIONS` Datalink functions category label.
`static java.lang.String` `CAT_LABEL_DB2_FUNCTIONS` Miscellaneous special DB2 functions category label.
`static java.lang.String` `CAT_LABEL_MMDB_EXTENDER_FUNCTIONS` Multi-Media Database Extender category functions.
`static java.lang.String` `CAT_LABEL_MQ_EXTENDER_FUNCTIONS` Message Queue (MQSeries) Extender functions category label.
`static java.lang.String` `CAT_LABEL_SQLXML_FUNCTIONS` XML functions category label.
`static java.lang.String` `CAT_LABEL_TEXT_EXTENDER_FUNCTIONS` Text Extender category functions.

Fields inherited from class org.eclipse.datatools.sqltools.sqlbuilder.model.FunctionHelper
`ALL_LOCATION_BOTTOM, ALL_LOCATION_OMITTED, ALL_LOCATION_SORTED, ALL_LOCATION_TOP, CAT_LABEL_AGGREGATE_FUNCTIONS, CAT_LABEL_ALL_FUNCTIONS, CAT_LABEL_CONVERSION_FUNCTIONS, CAT_LABEL_DATETIME_FUNCTIONS, CAT_LABEL_NUMERIC_FUNCTIONS, CAT_LABEL_SCALAR_FUNCTIONS, CAT_LABEL_SPECIAL_REGISTERS, CAT_LABEL_STRING_FUNCTIONS, CAT_LABEL_USER_DEFINED_FUNCTIONS`

Constructor Summary
`FunctionHelperDB2(Database db)` Constructs and instance of this class with an association to the given database.

Method Summary
`java.util.List` `getBuiltinFunctionCategories()` Gets a list of labels for the built-in function categories supported by the a ssociated database.
`java.util.List` `getDatalinkFunctionNames()` Gets a list of names of the Datalink functions supported by the database.
`java.util.List` `getDB2FunctionNames()` Gets a list of names of the special DB2 functions supported by the database.
`java.util.List` `getFunctionNames(java.lang.String category)` Gets a list of function names supported by the associated database in the given function category.
`java.util.List` `getMMDBExtenderFunctionNames()` Gets a list of the names of the MMDB Extender function supported by the database.
`java.util.List` `getMQExtenderFunctionNames()` Gets a list of names of the MQSeries functions supported by the database.
`java.util.List` `getSQLXMLFunctionNames()` Gets a list of the names of the SQL/XML function supported by the database.
`java.util.List` `getTextExtenderFunctionNames()` Gets a list of the names of the Text Extender function supported by the database.

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.model.FunctionHelper
`getAggregateFunctionNames, getAllBuiltinFunctionNames, getConversionFunctionNames, getDatabase, getDatetimeFunctionNames, getFunctionCategories, getFunctionSignatures, getInstance, getIsFunctionAllowingStar, getNumericFunctionNames, getScalarFunctionNames, getSpecialRegisterNames, getStringFunctionNames, getUserDefinedFunctionNames`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAT_LABEL_DATALINK_FUNCTIONS

    public static final java.lang.String CAT_LABEL_DATALINK_FUNCTIONS

  Datalink functions category label.

### CAT_LABEL_DB2_FUNCTIONS

    public static final java.lang.String CAT_LABEL_DB2_FUNCTIONS

  Miscellaneous special DB2 functions category label.

### CAT_LABEL_MMDB_EXTENDER_FUNCTIONS

    public static final java.lang.String CAT_LABEL_MMDB_EXTENDER_FUNCTIONS

  Multi-Media Database Extender category functions.

### CAT_LABEL_MQ_EXTENDER_FUNCTIONS

    public static final java.lang.String CAT_LABEL_MQ_EXTENDER_FUNCTIONS

  Message Queue (MQSeries) Extender functions category label.

### CAT_LABEL_SQLXML_FUNCTIONS

    public static final java.lang.String CAT_LABEL_SQLXML_FUNCTIONS

  XML functions category label.

### CAT_LABEL_TEXT_EXTENDER_FUNCTIONS

    public static final java.lang.String CAT_LABEL_TEXT_EXTENDER_FUNCTIONS

  Text Extender category functions.

Constructor Detail

### FunctionHelperDB2

    public FunctionHelperDB2(Database db)

  Constructs and instance of this class with an association to the given database.

  Parameters:
    `db` - the `Database` for which function help is needed

Method Detail

### getBuiltinFunctionCategories

    public java.util.List getBuiltinFunctionCategories()

  Gets a list of labels for the built-in function categories supported by the a ssociated database.

  Returns:
    the list of built-in function categories

### getFunctionNames

    public java.util.List getFunctionNames(java.lang.String category)

  Gets a list of function names supported by the associated database in the given function category.

  Overrides:
    `getFunctionNames` in class `FunctionHelper`
  Parameters:
    `category` - the function category for which functions are needed
  Returns:
    the list of the function names, or an empty list if the category is not supported by the database

### getDatalinkFunctionNames

    public java.util.List getDatalinkFunctionNames()

  Gets a list of names of the Datalink functions supported by the database.

  Returns:
    the list of Datalink functions

### getDB2FunctionNames

    public java.util.List getDB2FunctionNames()

  Gets a list of names of the special DB2 functions supported by the database.

  Returns:
    the list of DB2 functions

### getMMDBExtenderFunctionNames

    public java.util.List getMMDBExtenderFunctionNames()

  Gets a list of the names of the MMDB Extender function supported by the database.

  Returns:
    the list of MMDB Extender functions

### getMQExtenderFunctionNames

    public java.util.List getMQExtenderFunctionNames()

  Gets a list of names of the MQSeries functions supported by the database.

  Returns:
    the list of MQSeries functions

### getSQLXMLFunctionNames

    public java.util.List getSQLXMLFunctionNames()

  Gets a list of the names of the SQL/XML function supported by the database.

  Returns:
    the list of SQL/XML functions

### getTextExtenderFunctionNames

    public java.util.List getTextExtenderFunctionNames()

  Gets a list of the names of the Text Extender function supported by the database.

  Returns:
    the list of Text Extender functions